Open SCAP Library

Data Structures | Macros | Functions
routingtable.c File Reference

routingtable probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <endian.h>`
`#include <netinet/in.h>`
`#include <netinet/ip.h>`
`#include <netinet/ip6.h>`
`#include <net/route.h>`
`#include <arpa/inet.h>`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "alloc.h"`
`#include "util.h"`
`#include "assume.h"`
`#include "debug_priv.h"`
`#include "SEAP/generic/strto.h"`
`#include <byteswap.h>`

## Data Structures
struct | route_info

## Macros
#define | RT_FLAGS_MAX 10
#define | IF_NAME_MAXLEN 128
#define | RT_INFO_DELIMITERS " \t"
#define | htobe32(x) __bswap_32 (x)
#define | TOK_dst token[1]
#define | TOK_gw token[2]
#define | TOK_flags token[3]
#define | TOK_ifname token[0]
#define | RT_COND_ADD_FLAG(flag, value) if (rt_flags & (flag)) rt->rt_flags[i++] = (value)
#define | TOK_dst token[0]
#define | TOK_gw token[4]
#define | TOK_flags token[8]
#define | TOK_ifname token[9]

## Functions
int | probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

routingtable probe

Author
  "Daniel Kopecek <dkopecek@redhat.com>"